be.fgov.ehealth.dics.protocol.v4

## Class PackagingMaterialType

- java.lang.Object
- - be.fgov.ehealth.dics.core.v4.refdata.PackagingMaterialKeyType
  - - be.fgov.ehealth.dics.protocol.v4.PackagingMaterialType

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2021-10-05T08:03:39+02:00",
                 comments="JAXB RI v2.2.11")
      public class PackagingMaterialType
      extends PackagingMaterialKeyType
      implements Serializable

  Java class for PackagingMaterialType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="PackagingMaterialType">
         <complexContent>
           <extension base="{urn:be:fgov:ehealth:dics:core:v4:refdata}PackagingMaterialKeyType">
             <sequence>
               <element name="Name" type="{urn:be:fgov:ehealth:dics:protocol:v4}ConsultTextType"/>
             </sequence>
           </extension>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PackagingMaterialType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ConsultTextType` | `getName()` Gets the value of the name property.
    `void` | `setName(ConsultTextType value)` Sets the value of the name property.

    - ### Methods inherited from class be.fgov.ehealth.dics.core.v4.refdata.PackagingMaterialKeyType

      `getCode, setCode`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PackagingMaterialType

          public PackagingMaterialType()

  - ### Method Detail

    - #### getName

          public ConsultTextType getName()

      Gets the value of the name property.
      Returns:
        possible object is `ConsultTextType`

    - #### setName

          public void setName(ConsultTextType value)

      Sets the value of the name property.
      Parameters:
        `value` - allowed object is `ConsultTextType`

Connector Packaging PERSOCCUPATIONALTHERAPIST 4.0.2 API
Copyright © {inceptionYear}-2021 eHealth. All Rights Reserved.